// Package httpnode provides an implementation of a Chord client and server
// using JSON over HTTP.
package httpnode

import "net/netip"

type response[T any] struct {
	Data  *T     `json:"data,omitzero"`
	Error string `json:"error,omitzero"`
}

type neighbors struct {
	Succ []netip.AddrPort `json:"succ"`
	Pred netip.AddrPort   `json:"pred"`
}
